Bug 126347 - Update sysutils/cfengine to 2.2.8
Update sysutils/cfengine to 2.2.8
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Wesley Shields
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2008-08-07 20:30 UTC by rea-fbsd
Modified: 2008-08-13 22:50 UTC (History)
1 user (show)

See Also:


Attachments
2.2.7-to-2.2.8.patch (4.07 KB, patch)
2008-08-07 20:30 UTC, rea-fbsd
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description rea-fbsd 2008-08-07 20:30:02 UTC
CFEngine 2.2.8 is out and it fixed important threading error, judging
by the ChangeLog.

Fix: The following patch will update the port to 2.2.8 and add info(1)
files with tutorial and reference manual to the port contents.
How-To-Repeat: 
Look at
  http://cfengine.org/
  http://svn.iu.hio.no/viewvc/trunk/ChangeLog?view=markup&revision=593&root=Cfengine-2
Comment 1 Edwin Groothuis freebsd_committer 2008-08-07 20:30:10 UTC
Maintainer of sysutils/cfengine,

Please note that PR ports/126347 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/126347

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 2 Edwin Groothuis freebsd_committer 2008-08-07 20:30:12 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 jrhett 2008-08-07 21:02:00 UTC
I will review and respond in full within 24 hours.

-- 
Jo Rhett
-----Original Message-----
From: Edwin Groothuis <edwin@FreeBSD.ORG>
Date: Thursday, Aug 7, 2008 1:30 pm
Subject: Re: ports/126347: Update sysutils/cfengine to 2.2.8
To: jrhett@netconsonance.com
CC: bug-followup@FreeBSD.ORGReply-To: bug-followup@FreeBSD.ORG

Maintainer of sysutils/cfengine,
>
>Please note that PR ports/126347 has just been submitted.
>
>If it contains a patch for an upgrade, an enhancement or a bug fix
>you agree on, reply to this email stating that you approve the patch
>and a committer will take care of it.
>
>The full text of the PR can be found at:
>    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/126347
>
>-- 
>Edwin Groothuis via the GNATS Auto Assign Tool
>edwin@FreeBSD.org
>
Comment 4 Wesley Shields freebsd_committer 2008-08-08 01:24:06 UTC
Responsible Changed
From-To: freebsd-ports-bugs->wxs

I'll take it.
Comment 5 jrhett 2008-08-13 08:03:46 UTC
I just sent a revised patch to the committer.  This one is working and  
tested on dozens of systems.

-- 
Jo Rhett
Net Consonance : consonant endings by net philanthropy, open source  
and other randomness
Comment 6 dfilter freebsd_committer 2008-08-13 22:41:22 UTC
wxs         2008-08-13 21:41:14 UTC

  FreeBSD ports repository

  Modified files:
    sysutils/cfengine    Makefile distinfo 
    sysutils/cfengine/files patch-Makefile.in 
                            patch-doc_Makefile.in 
  Log:
  - Update to 2.2.8
  
  PR:             ports/126347
  Submitted by:   Eygene Ryabinkin <rea-fbsd@codelabs.ru>
  Approved by:    jrhett@netconsonance.com (maintainer)
  
  Revision  Changes    Path
  1.44      +4 -1      ports/sysutils/cfengine/Makefile
  1.16      +3 -3      ports/sysutils/cfengine/distinfo
  1.4       +5 -94     ports/sysutils/cfengine/files/patch-Makefile.in
  1.5       +47 -6     ports/sysutils/cfengine/files/patch-doc_Makefile.in
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 7 Wesley Shields freebsd_committer 2008-08-13 22:41:47 UTC
State Changed
From-To: feedback->closed

Committed. Thanks!